org.apache.maven.scm.provider.clearcase.command.edit

## Class ClearCaseEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.edit.AbstractEditCommand
    - - org.apache.maven.scm.provider.clearcase.command.edit.ClearCaseEditCommand

All Implemented Interfaces:
  Command, ClearCaseCommand

    public class ClearCaseEditCommand
    extends AbstractEditCommand
    implements ClearCaseCommand

Version:
  $Id: ClearCaseEditCommand.java 691832 2008-09-03 23:54:44Z vsiveton $
Author:
  Wim Deblauwe

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseEditCommand()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCheckinCurrentDirCommandLine(ScmFileSet scmFileSet)`
`static org.codehaus.plexus.util.cli.Commandline` `createCheckoutCurrentDirCommandLine(ScmFileSet scmFileSet)`
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(ScmLogger logger, ScmFileSet scmFileSet)`
`protected ScmResult` `executeEditCommand(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.edit.AbstractEditCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseEditCommand

    public ClearCaseEditCommand()

### Method Detail

#### executeEditCommand

    protected ScmResult executeEditCommand(ScmProviderRepository repository,
                               ScmFileSet fileSet)
                                    throws ScmException

Specified by:
  `executeEditCommand` in class `AbstractEditCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(ScmLogger logger,
                                                             ScmFileSet scmFileSet)

#### createCheckoutCurrentDirCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCheckoutCurrentDirCommandLine(ScmFileSet scmFileSet)

#### createCheckinCurrentDirCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCheckinCurrentDirCommandLine(ScmFileSet scmFileSet)